# [guide.deuxfleurs.fr](https://guide.deuxfleurs.fr)

## Construire

```bash
zola build
```

## Déployer

```bash
# Pousser sur https://guide.deuxfleurs.fr
aws s3 sync ./public s3://guide.deuxfleurs.fr
# Pousser sur https://preprod-guide.web.deuxfleurs.fr
aws s3 sync ./public s3://preprod-guide
```

## Développer

```bash
zola serve
```

# Refonte du guide

> TODO:
> - [ ] Incorporer la section **Opérations**
> 


Notre guide contient toutes les informations relatives à l'association, ses services, son infrastructure, et ses idées. C'est donc un lieu crucial, sur lequel sont amenés à tomber de bien nombreux acteur·ices et personnes externes. Nous sommes aussi insatisfait·es avec certain de ses aspects : nous trouvons que les catégories se recoupent et peuvent porter à confusion. La navigation sur mobile pose certains problèmes, et modifier son contenu demande un certain processus.

Les cinq catégories actuelles, Prise en main, Se former, Vie associative, Infrastructures, et Opérations proviennent de l'application des recommandations de Diátaxis. En pratique, nous constatons qu'elles se révèlent pénibles à utiliser. Elles sont loin d'être exclusives, et il est loin d'être rare que lorsqu'on cherche une information spécifique, celle-ci ait le potentiel de se trouver dans deux ou trois d'entre elles. Nous avons convergé vers une nouvelle organisation. La page d'accueil contiendrait les informations pour découvrir Deuxfleurs, puis présenterait ces quatre catégories :

    Utilisation des services : dédiée aux usager·es, aussi technophobes qu'ils peuvent potentiellement être, afin de leur expliquer simplement et clairement comment utiliser nos services.
    Motivations : dédiée à la présentation de nos idées, réflexions, arguments, désirs, inspirations et motivations.
    Vie associative : dédiée au contenu administratif, et aux considérations autour de Deuxfleurs en tant qu'association.
    Infrastructure : dédiée à du contenu technique, pour les administrateur·ices système ou curieux·euses de savoir comment tout cela fonctionne.

Malgré tout, nous pensons qu'il ne faudra pas hésiter à mettre en place des liens pour que les usager·es passent facilement d'une section à l'autre : un sujet peut arborer plusieurs facettes, se plaçant ainsi à plusieurs endroits du guide. De même, la réorganisation va générer beaucoup de liens morts, et s'en occuper demandera un certain travail qu'il ne faudra pas négliger.

Sur mobile, le guide n'affiche pas le menu des sections en permanence. Implémenter un fil d'Ariane permettrait de clarifier cette situation, pour améliorer l'ergonomie.

Il y a donc une quantité de travail non négligeable à réaliser sur notre guide. Nous avons tout intérêt à réaliser la transition le plus en douceur possible. Pour cela, nous allons travailler sur une duplication du guide, à une adresse différente. Une fois la nouvelle version finalisée, nous la mettrons à jour avec les contributions réalisées entre-temps, puis validerons la transition.

