---
title: "Garage"
description: "Garage : le stockage objet pour les masses"
date: 2021-11-09T12:42:59.273Z
dateCreated: 2021-11-09T12:42:57.245Z
weight: 10
extra:
  parent: 'infrastructures/creations.md'
---

<img src="/img/garage-logo.svg" alt="Logo officiel de Garage : une sorte de crabe" width="200px">

- [Site officiel](https://garagehq.deuxfleurs.fr)
- [Forge logicielle](https://git.deuxfleurs.fr/Deuxfleurs/garage/)
- [Canal de discussion](https://matrix.to/#/%23garage:deuxfleurs.fr)


Garage est un utilitaire de stockage d'objets léger, distribué, et compatible avec l'interface Amazon S3. Il poursuit les objectifs suivants :

* être aussi autonome que possible
* être facile à installer
* demeurer robuste face aux pannes de réseau, à la latence du réseau, aux pannes de disques durs, et aux erreurs d'administrateurs système
* être simple
* être déployé sur de multiples centres de donnée

Il ne cherche pas à :

* fournir des performances exceptionnelles
* implémenter complètement l'API de S3
* implémenter des codes d'effacement (notre modèle consiste en dupliquer les données telles quelles sur plusieurs nœuds)

## Statut du développement

Garage est un logiciel mature (v1.0 en avril 2024), déployé en [production](@/infrastructures/production.md) par Deuxfleurs depuis 2020, soutenu par une communauté mondiale qui le développe et l'administre, de la plus petite à la plus grand échelle.\
Le développement de Garage a bénéficié de plusieurs subventions européennes NGI/NLnet.


## En savoir plus

Pour plus d'information, vous pouvez consulter la [documentation de Garage](https://garagehq.deuxfleurs.fr/) :

* [Introduction rapide](https://garagehq.deuxfleurs.fr/documentation/quick-start/) : apprenez à interagir efficacement avec Garage
* [Travaux liés](https://garagehq.deuxfleurs.fr/documentation/design/related-work/) : pour comprendre pourquoi nous avons développé notre propre logiciel au lieu d'en choisir un existant
* [Technique interne](https://garagehq.deuxfleurs.fr/documentation/design/internals/) : une brève description des modèles de données utilisés dans Garage

Ou lire nos communications :

* Article de médiation scientifique (PDF, français) : [Présentation de Deuxfleurs & Garage](https://www.societe-informatique-de-france.fr/wp-content/uploads/2023/11/1024_22_2023_171.html), novembre 2023  
* Présentation scientifique (PDF, anglais) : [Deuxfleurs & Garage presentation](https://git.deuxfleurs.fr/Deuxfleurs/garage/raw/branch/main/doc/talks/2023-01-18-tocatta/talk.pdf), janvier 2023  
* Présentation militante (vidéo & PDF, français) : [De l'auto-hébergement à l'entre-hébergement : Garage, pour conserver ses données ensemble](@/formations/capitole-du-libre-2022.md), novembre 2022 
* [Liste des présentations sur Garage](https://git.deuxfleurs.fr/Deuxfleurs/garage/src/branch/main/doc/talks)

