---
title: "Grappes"
description: "Les grappes"
weight: 10
sort_by: "weight"
extra:
  parent: 'infrastructures/machines.md'
---

Les machines gérées par Deuxfleurs ont différents _rôles_, qui définissent à quelle grappe ou _cluster_ elles appartiennent.
\
Elles séjournent dans différentes _zones géographiques_, au domicile de certain⋅es des [opérateur⋅ices](@/vie_associative/charte_operateurice.md), souvent par groupe de 2 ou 3 machines.


<!-- Nous avons mis en réseau une dizaine de machines, des ordinateurs de bureau, réunies en deux principaux rôles ou _clusters_ : -->

- [Production](@/infrastructures/production.md) - Les serveurs de production sont ceux qui font tourner les services accédés par les usager·es (sites web, e-mails, clavardage, visio...).
  C'est la grappe la plus critique, 
  S'ils sont inaccessibles, alors les services ne fonctionnent plus. 
  Et si une personne malveillante y accède, elle peut avoir accès à des données personnelles des usager·es. 

  - Orsay (Neptune)
  - Lyon (Orion)
  - Bruxelles (Bespin)


- [Expérimentation](@/infrastructures/xp.md) (_staging_) - Les serveurs d'expérimentation servent à tester les nouvelles configurations, les nouveaux logiciels, et le nouveau matériel. 
  Ils permettent aux opérateur·ices de se familiariser avec leurs modifications et de minimiser l'impact d'un changement sur les serveurs de production, et donc sur la disponibilité des services. 
  Ces machines ne contiennent pas de données personnelles et ne sont pas critiques, elles n'ont pas besoin de rester tout le temps allumées.
  Il n'est pas nécessaire d'être opérateur·ice pour gérer une de ces machines.

  - Suresnes (Mercure)
  - Rennes (Jupiter)

Il est des fonctions annexes (comme les sauvegardes, le développement ou la supervision) qu'il convient de ne pas héberger directement sur les ordinateurs que l'on administre : 
au cas où ce seraient justement nos logiciels d'administration qui déconnent, ainsi que pour éviter que les dysfonctionnements de ces machines n'impactent les services en production.
On compte deux clusters de ce type :

- [Support](@/infrastructures/support.md) - Les serveurs de support servent pour les sauvegardes et la supervision des serveurs de production (eg. Grafana, Minio).
  Ils participent au bon fonctionnement de la production.
  Ils n'ont pas de données personnelles brutes mais contiennent des métriques qui reflètent le comportement des usager·es ; ainsi que nos sauvegardes régulières, qui sont chiffrées (et donc illisibles sans la bonne clé), mais contiennent tout de même des données personnelles.

  - Bruxelles (Bespin)
  
- [Développement](@/infrastructures/developpement.md) - Les serveurs de développement hébergent les outils qui nous permettent de travailler sur le logiciel, les configurations, les tickets, ou la compilation. 
  Ils ne contiennent pas de données personnelles mais peuvent être utilisés pour des attaques de chaîne d'approvisionnement (*supply chain attack*). 
  À terme, ce rôle pourrait être fusionné avec la production.

  - Orsay (Neptune)
  - Rennes (Jupiter)

