---
title: "Services"
description: "Nos services"
weight: 10
sort_by: "weight"
extra:
  parent: 'services/_index.md'
---



Cette section du Guide présente les services proposés par [Deuxfleurs](https://deuxfleurs.fr). Nous essayons de fournir des services qu'on juge _essentiels_ et _sobres_. Vous y trouverez une page de manuel pour chacun d'entre eux.

Notez que certains services sont _en accès libre_, tandis que d'autres sont _sur inscription_, auquel cas il faut au moins être usager⋅e ou membre de Deuxfleurs pour y accéder. Voir la page [Nous Rejoindre](@/vie_associative/nous_rejoindre.md).

# Communication

Internet, c'est d'abord la communication entre personnes. 
Nous proposons un service de messagerie instantanée, des boîtes e-mail personnelles, et de la visioconférence.
Venez discuter avec nous (ou avec qui vous voudrez) !

<!-- Nous proposons un certain nombre d'outils de communication entre utilisateurices, vous trouverez donc les équivalents libres de vos outils de communication habituels.  -->

- [***Discussion instantanée***](@/services/jitsi.md) sur inscription :\
Pour l'échange de messages dans le style des **SMS**, de **Whatsapp**, **Messenger** ou équivalent nous proposons ***Matrix***. 
Ce protocole fédéré doté d'applications sympathiques permet de discuter de façon agréable et sécurisée (les messages personnels sont chiffrés de boût en boût, et les salons peuvent l'être aussi).
Matrix fonctionne sur tout périphérique, et est accessible *via* une application ou sur navigateur web directement. 
\
\
[↣ Apprendre à utiliser Matrix](@/services/matrix.md)\
[↣ Accéder au service Matrix](<https://im.deuxfleurs.fr>)

- [***E-mails personnels***](@/services/email.md) sur inscription :\
Pilier fondamental de la communication en ligne, nous utilisons tous les jours ce service d'e-mails pour nos usages personnels et associatifs.  
\
\
[↣ Apprendre à utiliser notre service d'e-mails](@/services/email.md)\
[↣ Accéder au service de mails (interface SoGo)](<https://sogo.deuxfleurs.fr>)\
[↣ Accéder au service de mails (interface légère Alps)](<https://alps.deuxfleurs.fr>)

- [***Visioconférence***](@/services/jitsi.md) en accès libre :\
Pour la visioconférence dans le style de **Skype**, **Zoom** ou autre, nous proposons ***Jitsi***. 
Ce service est utilisable sur tout périphérique, permet d'inviter jusqu'à 30 personnes, dactiver/désactiver caméra et micro, ou encore de partager son écran.
\
\
[↣ Apprendre à utiliser Jitsi](@/services/jitsi.md)\
[↣ Accéder au service Jitsi](https://jitsi.deuxfleurs.fr)


# Édition collaborative

Bien niaise est la personne qui croit construire seule une cathédrale. Les œuvres humaines majeures sont toujours le fruit d'un effort collectif. Internet nous fournit justement des outils pour travailler à plusieurs, sur des documents ou du logiciel.

- [***Édition collaborative de documents***](@/services/cryptpad.md) en accès libre :\
Dans l'idée de **Google Doc**, de la prise de notes de réunion aux tableurs et formulaires (**Framadate**), nous vous proposons l'outil ***Cryptpad***. 
Il permet d'éditer à plusieurs tout type de document (texte, tableur, présentation, sondage), et même d'organiser des dossiers partagés en groupe.
\
\
[↣ Apprendre à utiliser le formulaire Cryptpad](@/services/cryptpad.md)\
[↣ Accéder au service Cryptpad](https://pad.deuxfleurs.fr)

- [***Forge logicielle***](@/services/git.md) en accès libre :\
Pour héberger notre code (et le vôtre), nous utilisons le serveur _git_ ***ForgeJo***. 
\
\
[↣ Apprendre à utiliser ForgeJo](@/services/git.md)\
[↣ Accéder au service ForgeJo](https://git.deuxfleurs.fr)

# Publication

Vous êtes prêt⋅e à dévoiler au monde vos travaux ? Pour ce faire, nous vous proposons fièrement d'héberger vos sites web _statiques_, ou de vous créer un blog fédéré avec Plume.

Pour du partage de contenu nous avons plusieurs outils à disposition, que ce soit des documents partagés, des formulaires, des postes de blogs ou des sites web ! 

- [**Sites Web Statiques**](@/services/web.md) sur inscription :\
Nous avons développé [Garage](https://garagehq.deuxfleurs.fr) pour héberger des sites web de façon sobre et résiliente sur les serveurs de branchés chez nos membres. 
« Statique » signifie qu'on ne peut pas héberger de Wordpress, Kirby, etc. — plus d'infos [ici](@/services/statique-comment-ça.md).
\
\
[↣ Apprendre à créer un site web](@/services/web.md)\
[↣ Accéder à la plateforme d'hébergement de sites web](https://garagehq.deuxfleurs.fr)


- [***Blogs***](@/services/plume.md) sur inscription :\
Pour l'écriture d'un blog avec un système d'abonnements et de notifications de nouveau contenu, nous vous proposons ***Plume***. 
Ce logiciel appartient à la Fediverse, ce qui fait qu'il sera particulièrement facile de republier vos pensées sur Mastodon ou autre service fédéré par ActivityPub.
Notez que Plume est un logiciel libre en mal d'amour, et qu'il est de ce fait assez taquin à utiliser. Néanmoins il fonctionne !
\
\
[↣ Apprendre à utiliser Plume](@/services/plume.md)\
[↣ Accéder à la plateforme Plume](https://plume.deuxfleurs.fr)


# Adresse des services

- [**Discussion instantanée**](<https://im.deuxfleurs.fr>) : <https://im.deuxfleurs.fr> — client web Element
- [**E-mails**](<https://sogo.deuxfleurs.fr>) : <https://sogo.deuxfleurs.fr> — client e-mail web SOGo
- [**E-mails**](https://alps.deuxfleurs.fr) : <https://alps.deuxfleurs.fr> — client e-mail web Alps (plus léger)
- [**Visioconférence**](https://jitsi.deuxfleurs.fr) : <https://jitsi.deuxfleurs.fr> — client web Jitsi
- [**Édition collaborative de documents**](https://pad.deuxfleurs.fr): <https://pad.deuxfleurs.fr> — suite web CryptPad
- [**Forge logicielle**](https://git.deuxfleurs.fr) : <https://git.deuxfleurs.fr> — serveur _git_ ForgeJo
- [**Sites Web**](https://garagehq.deuxfleurs.fr) : <https://garagehq.deuxfleurs.fr> — plateforme d'hébergement de sites web statiques
- [**Blogs**](https://plume.deuxfleurs.fr) : <https://plume.deuxfleurs.fr> — plateforme de blog fédérée Plume


