---
title: Statique, comment ça ? 
description: Nous hébergeons des sites statiques
sort_by: weight
weight: 10
extra:
  parent: services/web.md
---


Depuis le commencement du web, au début des années 90, existent les sites web _statiques_ : quand un client demande un fichier ou une page, il spécifie le chemin _via_ une [URL](https://fr.wikipedia.org/wiki/Uniform_Resource_Locator), et le serveur répond tout le temps la même chose. 
Dès le milieu des années 90 sont apparu les pages dynamiques, avec [CGI](https://fr.wikipedia.org/wiki/Common_Gateway_Interface) et [PHP](https://fr.wikipedia.org/wiki/PHP). 
Pour une même page, le serveur peut répondre un contenu différent, variant selon des paramètres rajoutés en fin de chemin URL, selon des données dans la mémoire du serveur, ou selon n'importe quel facteur qui passe par la tête du développeur.

Avec [JavaScript](https://fr.wikipedia.org/wiki/JavaScript), qui date de la même époque, une confusion se pose souvent : beaucoup de contenus statiques passent pour du dynamique aux yeux de l'internaute. Il faut alors rappeler une distinction importante : le code Javascript livré avec un site s'exécute côté client, c'est-à-dire sur l'ordinateur ou le téléphone de l'internaute. A contrario, le CGI ou PHP s'exécute côté serveur, c'est-à-dire sur la machine administrée par le propriétaire du site. 
Selon ce qu'on veut faire, il faut choisir l'un ou l'autre.

Quelques exemples pour comprendre cette dichotomie : je gère une boutique en ligne, et je veux que le stock de mes produits s'affiche quand un client consulte mon site ? Il faut faire ça côté serveur, car seul lui connaît les stocks. Je veux mettre en place des décors interactifs avec la souris ? Il faut faire ça côté client, car seul lui connaît la position du curseur. Des fois c'est ambivalent :afficher l'heure sur une page, par exemple, peut être fait soit avec du contenu dynamique (insertion de l'heure côté serveur), soit avec du contenu statique (insertion de l'heure avec du code Javascript statique qui tourne chez le client).

En proposant un site statique on réduit fortement le besoin d'infrastructure du côté serveur en déplacant le calcul sur des terminaux déjà existant : votre téléphone ou ordinateur. De ce fait on réduit le besoin de nouveaux matériel qui est très couteux d'un point de vue environnemental (voir par exemple la vidéo de [François Jarrige / Fanny Lopez | La Manufacture d'idées 2022](https://www.youtube.com/watch?v=wwFFWPK-CF8) à ce sujet).

En conclusion, une page statique peut proposer des interactions et des effets quelconques, et même se comporter comme une application, car l'interactivité est gérée uniquement par votre ordinateur. Dans ce modèle, par contre, le serveur web se contente simplement de vous envoyer les données que vous lui demandez, sans exécuter de logique complexe, réduisant ainsi l'impact environnemental du site. 
